#include <kdialog.h>
#include <klocale.h>

#ifndef UI_KADDDEVICEDLGEXTENSION_H
#define UI_KADDDEVICEDLGEXTENSION_H

#include <qvariant.h>


#include <Qt3Support/Q3GroupBox>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QLabel>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include "klineedit.h"

class Ui_KAddDeviceDlgExtension
{
public:
    QVBoxLayout *vboxLayout;
    Q3GroupBox *gbAdvancedDeviceInfo;
    QGridLayout *gridLayout;
    QLabel *textLabel1;
    QLabel *textLabel1_2_2;
    KLineEdit *kleDescription;
    KLineEdit *kleBroadcast;

    void setupUi(QWidget *KAddDeviceDlgExtension)
    {
    if (KAddDeviceDlgExtension->objectName().isEmpty())
        KAddDeviceDlgExtension->setObjectName(QString::fromUtf8("KAddDeviceDlgExtension"));
    KAddDeviceDlgExtension->resize(322, 108);
    vboxLayout = new QVBoxLayout(KAddDeviceDlgExtension);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(11);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    gbAdvancedDeviceInfo = new Q3GroupBox(KAddDeviceDlgExtension);
    gbAdvancedDeviceInfo->setObjectName(QString::fromUtf8("gbAdvancedDeviceInfo"));
    gbAdvancedDeviceInfo->setColumnLayout(0, Qt::Vertical);
    gbAdvancedDeviceInfo->layout()->setSpacing(6);
    gbAdvancedDeviceInfo->layout()->setMargin(11);
    gridLayout = new QGridLayout();
    QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(gbAdvancedDeviceInfo->layout());
    if (boxlayout)
        boxlayout->addLayout(gridLayout);
    gridLayout->setAlignment(Qt::AlignTop);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    textLabel1 = new QLabel(gbAdvancedDeviceInfo);
    textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
    textLabel1->setWordWrap(false);

    gridLayout->addWidget(textLabel1, 0, 0, 1, 1);

    textLabel1_2_2 = new QLabel(gbAdvancedDeviceInfo);
    textLabel1_2_2->setObjectName(QString::fromUtf8("textLabel1_2_2"));
    textLabel1_2_2->setWordWrap(false);

    gridLayout->addWidget(textLabel1_2_2, 1, 0, 1, 1);

    kleDescription = new KLineEdit(gbAdvancedDeviceInfo);
    kleDescription->setObjectName(QString::fromUtf8("kleDescription"));

    gridLayout->addWidget(kleDescription, 0, 1, 1, 1);

    kleBroadcast = new KLineEdit(gbAdvancedDeviceInfo);
    kleBroadcast->setObjectName(QString::fromUtf8("kleBroadcast"));

    gridLayout->addWidget(kleBroadcast, 1, 1, 1, 1);


    vboxLayout->addWidget(gbAdvancedDeviceInfo);


    retranslateUi(KAddDeviceDlgExtension);
    QObject::connect(kleBroadcast, SIGNAL(textChanged(QString)), KAddDeviceDlgExtension, SLOT(valueChanged(QString)));
    QObject::connect(kleDescription, SIGNAL(textChanged(QString)), KAddDeviceDlgExtension, SLOT(valueChanged(QString)));

    QMetaObject::connectSlotsByName(KAddDeviceDlgExtension);
    } // setupUi

    void retranslateUi(QWidget *KAddDeviceDlgExtension)
    {
    KAddDeviceDlgExtension->setWindowTitle(tr2i18n("Advanced Options", 0));
    gbAdvancedDeviceInfo->setTitle(tr2i18n("Advanced Device Information", 0));
    gbAdvancedDeviceInfo->setProperty("toolTip", QVariant(tr2i18n("Set advanced setting for the network device", 0)));
    textLabel1->setText(tr2i18n("Description:", 0));
    textLabel1->setProperty("toolTip", QVariant(tr2i18n("IP address of the network device", 0)));
    textLabel1_2_2->setText(tr2i18n("Broadcast:", 0));
    kleDescription->setText(QString());
    kleDescription->setProperty("toolTip", QVariant(tr2i18n("Simply enter a short human-readable description for this device", 0)));
    kleDescription->setProperty("whatsThis", QVariant(tr2i18n("Simply enter a short human-readable description for this device", 0)));
    kleBroadcast->setText(QString());
    kleBroadcast->setProperty("toolTip", QVariant(tr2i18n("IP address of the network device", 0)));
    kleBroadcast->setProperty("whatsThis", QVariant(tr2i18n("The Broadcast is a special address. All devices of a network respond if packages are sent to this address.", 0)));
    Q_UNUSED(KAddDeviceDlgExtension);
    } // retranslateUi

};

namespace Ui {
    class KAddDeviceDlgExtension: public Ui_KAddDeviceDlgExtension {};
} // namespace Ui

class KAddDeviceDlgExtension : public QWidget, public Ui::KAddDeviceDlgExtension
{
    Q_OBJECT

public:
    KAddDeviceDlgExtension(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~KAddDeviceDlgExtension();

signals:
    void valueChangedSignal(int);

protected slots:
    virtual void languageChange();

private:
    void init();

private slots:
    virtual void valueChanged( const QString & s );

};

#endif // KADDDEVICEDLGEXTENSION_H

